#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EProtoDebugVisiblity {
    Always = 0,
    Server = 70,
    ValveServer = 80,
    GC = 90,
    Never = 100,
}

impl EProtoDebugVisiblity {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Always as i32 => Some(Self::Always),
            x if x == Self::Server as i32 => Some(Self::Server),
            x if x == Self::ValveServer as i32 => Some(Self::ValveServer),
            x if x == Self::GC as i32 => Some(Self::GC),
            x if x == Self::Never as i32 => Some(Self::Never),
            _ => None,
        }
    }
}
